#
# spec file for package python-egenix-mx-base
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-egenix-mx-base
Version:        3.2.8
Release:        bp153.1.14
Url:            http://www.egenix.com/products/python/mxBase/
Summary:        MX Extensions for Python (base)
License:        SUSE-Egenix-1.1.0
Group:          Development/Libraries/Python
Source0:        egenix-mx-base-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       python-egenix-mx-base-doc = %{version}
Obsoletes:      python-egenix-mx-base-doc < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
A collection of Python software tools which enhance Python's usability
in areas such as fast text processing and date and time processing.
mxDateTime is required by the PostgreSQL Python interface (pygresql).

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description devel
A collection of Python software tools which enhance Python's usability
in areas such as fast text processing and date and time processing.
mxDateTime is required by the PostgreSQL Python interface (pygresql)

%prep
%setup -q -n "egenix-mx-base-%{version}"
# remove unwanted shebang
find mx -name "*.py" | xargs sed -i '1 { /^#!/ d }'

%build
CFLAGS="%{optflags} -fno-strict-aliasing" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --install-data=%{python_sitearch}/mx
%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root)
%{python_sitearch}/*
%exclude %{python_sitearch}/mx/*/*/*.h
%exclude %{python_sitearch}/mx/*/*/*/*.h

%files devel
%defattr(-,root,root)
%{python_sitearch}/mx/*/*/*.h
%{python_sitearch}/mx/*/*/*/*.h

%changelog
* Mon May  4 2015 benoit.monin@gmx.fr
- update to version 3.2.8:
  * Added web installer support to mxSetup, the distutils extension
    module which drives all our product installations.
  * Uploaded web installer package to PyPI which simplifies
    installation.
  * In addition to the usual ways of installing eGenix mx Base, we
    have uploaded a web installer to PyPI, so that it is now also
    possible to use one of these installation methods on all
    supported platforms (Windows, Linux, FreeBSD, Mac OS X):
    + easy_install egenix-mx-base via PyPI
    + pip install egenix-mx-base via PyPI
    + egenix-mx-base egg reference in zc.buildout via PyPI
    + running "python setup.py install" in the unzipped web
    installer archive directory
  * The web installer will automatically detect the platform and
    choose the right binary download package for you. All downloads
    are verified before installation.
  * mxDateTime: Protected delta.strftime() against segfaults on
    Windows, which only allows day values <= 31 and segfaults for
    higher values. Thanks to Frank Boje for reporting this problem.
  * mxTextTools: Fixed a double decref in the tagging engine that
    surfaced when using custom tag objects and appending the
    results to them. Thanks to Richard Moseley for the report.
  * Prepared eGenix mx Base for two digit Python patch level
    numbers such as Python 2.7.10
- always run fdupes during build : drop test for opensuse 10.3
- define python_sitearch only for SLE11
- remove unwanted shebang of python files in a more generic way
* Sun Feb  2 2014 os-dev@jacraig.com
- Update to 3.2.7:
  * No upstream changelog provided.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Jun 22 2012 cfarrell@suse.com
- license update: SUSE-Egenix-1.1.0
  SPDX format (or choose from the list linked at license.opensuse.org)
* Wed May 23 2012 saschpe@suse.de
- Update to version 3.2.4
  * No upstream provided changelog
* Wed Sep 21 2011 saschpe@suse.de
- Update to version 3.2.1:
  * No upstream provided changelog
- Merged doc package into base package
- Fixed non-executable scripts
- Removed outdated stuff (%%clean section, authors)
- Dropped egenix-mx-base-3.1.2-install_data.patch, use --install-data instead
* Thu Sep  3 2009 matejcik@suse.cz
- patched package to install_data into platlib (because installing
  half of package into purelib and half into platlib is just bad style)
* Thu Sep  3 2009 matejcik@suse.cz
- py_sitedir -> python_sitearch
* Thu Jun 11 2009 James Oakley <jfunk@funktronics.ca>
- Use namespace in perl abs2rel call
* Mon May 25 2009 James Oakley <jfunk@funktronics.ca>
- Update to 3.1.2
- Fix rpmlint warnings
* Tue Jul 22 2008 Pascal Bleser <pascal.bleser@opensuse.org>
- added missing defattr, resulting -devel had wrong user:group
* Mon Jul 14 2008 James Oakley <jfunk@funktronics.ca>
- Apply rpmlint fixes from Andrea Florio <andrea@opensuse.org>
* Fri Apr 25 2008 James Oakley <jfunk@funktronics.ca>
- Resurrect in devel:languages:python
- Update to 3.0.0
* Thu Nov  9 2006 prusnak@suse.cz
- PEP353 fixes [ http://www.python.org/dev/peps/pep-0353/ ]
* Wed Nov  8 2006 prusnak@suse.cz
- stack top decrement moved outside of a Py_DECREF macro [#159995]
* Mon Mar 13 2006 jmatejek@suse.cz
- fixed nonsensical x<y<z formula in source (#156968)
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec  6 2004 mcihar@suse.cz
- update to 2.0.6
* Wed Nov 24 2004 mcihar@suse.cz
- no need to hack record-rpm here anymore
- update to 2.0.5
- compile with -fno-strict-aliasing
- drop mx_customize_compiler as it just breaks things compared to distutils one
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Thu Jun 26 2003 mcihar@suse.cz
- update to 2.0.4:
  * The mx distutils build system was updated to the latest version.
- use --record-rpm instead of sed for getting directory list
- patch mx distutils to support --record-rpm
- install docs only once
* Thu Aug 15 2002 ke@suse.de
- Rename package: egenix-mx-base -> python-egenix-mx-base; proposal by
  niemeyer@conectiva.com [# 17755].
* Thu Aug 15 2002 ke@suse.de
- Keep track of installed directories; reported by
  niemeyer@conectiva.com [# 17754].
* Fri May 24 2002 ke@suse.de
- New package: version 2.0.3.
- Required by pygresql [# 14745].
